Package org.apache.sling.caconfig.resource.impl.util

# Class ResourcePathCollatingIterator

java.lang.Object
org.apache.commons.collections4.iterators.CollatingIterator<org.apache.sling.caconfig.resource.spi.ContextResource>
org.apache.sling.caconfig.resource.impl.util.ResourcePathCollatingIterator

All Implemented Interfaces:
  `Iterator<org.apache.sling.caconfig.resource.spi.ContextResource>`

public class ResourcePathCollatingIterator extends org.apache.commons.collections4.iterators.CollatingIterator<org.apache.sling.caconfig.resource.spi.ContextResource>
Expected a list of iterators containing paths, where each path is a direct or indirect parent of the previous one (= sorted by path hierarchy starting with the deepest path). Result is a new iterator with all resources combined from all iterators in the same order, duplicates not eliminated.

## Constructor Summary

Constructors
Constructor
Description
`ResourcePathCollatingIterator(List<Iterator<org.apache.sling.caconfig.resource.spi.ContextResource>> iterator)`

## Method Summary

### Methods inherited from class org.apache.commons.collections4.iterators.CollatingIterator

`addIterator, getComparator, getIteratorIndex, getIterators, hasNext, next, remove, setComparator, setIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ResourcePathCollatingIterator

public ResourcePathCollatingIterator(List<Iterator<org.apache.sling.caconfig.resource.spi.ContextResource>> iterator)